# Uses of Interface
org.opensaml.messaging.pipeline.servlet.HttpServletMessagePipeline

Packages that use HttpServletMessagePipeline
Package
Description
org.opensaml.messaging.pipeline.servlet
Interfaces and classes for HTTP Servlet message processing pipelines.

## Uses of HttpServletMessagePipeline in org.opensaml.messaging.pipeline.servlet

Classes in org.opensaml.messaging.pipeline.servlet that implement HttpServletMessagePipeline
Modifier and Type
Class
Description
`class`
`BasicHttpServletMessagePipeline`
Basic implementation of `HttpServletMessagePipeline`.
Methods in org.opensaml.messaging.pipeline.servlet that return HttpServletMessagePipeline
Modifier and Type
Method
Description
`HttpServletMessagePipeline`
HttpServletMessagePipelineFactory.`newInstance()`
Return a new instance of `HttpServletMessagePipelineFactory`.
`HttpServletMessagePipeline`
HttpServletMessagePipelineFactory.`newInstance(String pipelineName)`
Return a new instance of `HttpServletMessagePipelineFactory`.